LocalizationControllerStoreLocalizationFile Method |
POST /Localization/File/
Stores the contents of the specified localization when sent as a file. This API call expects form files inside the request body.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("File")]
public IActionResult StoreLocalizationFile(
string cultureName,
Guid moduleId,
string name,
bool isOverride,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("File")>
Public Function StoreLocalizationFile (
cultureName As String,
moduleId As Guid,
name As String,
isOverride As Boolean,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"File")]
IActionResult^ StoreLocalizationFile(
String^ cultureName,
Guid moduleId,
String^ name,
bool isOverride,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("File")>]
member StoreLocalizationFile :
cultureName : string *
moduleId : Guid *
name : string *
isOverride : bool *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- cultureName
- Type: SystemString
The name of the culture to store the localization for. - moduleId
- Type: SystemGuid
The ID of the module the localization belongs to. - name
- Type: SystemString
The name of localization. - isOverride
- Type: SystemBoolean
A flag indicating whether or not this is an override. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A
LocalizationInfoData with the result, or a status code indicating the problem.
See Also